org.richfaces.renderkit.html.iconimages

## Class PanelMenuIconBasic

- java.lang.Object
- - org.ajax4jsf.resource.InternetResourceBase
  - - org.ajax4jsf.resource.Java2Dresource
    - - org.richfaces.renderkit.html.iconimages.PanelMenuIconBasic

- All Implemented Interfaces:
    org.ajax4jsf.resource.InternetResource
  Direct Known Subclasses:
    PanelMenuIconChevronBasic, PanelMenuIconDisc, PanelMenuIconGrid, PanelMenuIconSpacer, PanelMenuIconTriangleBasic

      public abstract class PanelMenuIconBasic
      extends org.ajax4jsf.resource.Java2Dresource

  Author:
    Pavel Kotikov

- - ### Field Summary

    - ### Fields inherited from interface org.ajax4jsf.resource.InternetResource

      `CODEC_ATTR, DATA_SEPARATOR, DEFAULT_EXPIRE, DEFAULT_EXPITE_PARAMETER, ENCODE_PASS_PARAMETER, ENCODE_URI_PARAMETER, RESOURCE_PROTOCOL, RESOURCE_URI_PREFIX, RESOURCE_URI_PREFIX_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PanelMenuIconBasic()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.awt.Dimension` | `calculateDimensions(java.lang.Object data)`
    `protected java.lang.Object` | `deserializeData(byte[] objectArray)`
    `protected java.lang.Object` | `getDataToStore(javax.faces.context.FacesContext context, java.lang.Object data)`
    `java.awt.Dimension` | `getDimensions(javax.faces.context.FacesContext facesContext, java.lang.Object data)`
    `protected java.awt.Dimension` | `getDimensions(org.ajax4jsf.resource.ResourceContext resourceContext)`
    `boolean` | `isCacheable()`
    `protected void` | `paint(org.ajax4jsf.resource.ResourceContext context, java.awt.Graphics2D graphics2D)`
    `protected abstract void` | `paintImage(org.ajax4jsf.resource.ResourceContext context, java.awt.Graphics2D g2d, java.awt.Color color)`

    - ### Methods inherited from class org.ajax4jsf.resource.Java2Dresource

      `getImage, getResourceAsStream, send`

    - ### Methods inherited from class org.ajax4jsf.resource.InternetResourceBase

      `encode, encode, encodeBegin, encodeEnd, getContentLength, getContentType, getExpired, getKey, getLastModified, getProperty, getRenderer, getUri, isCacheable, isSessionAware, requireFacesContext, restoreData, sendHeaders, setCacheable, setContentLength, setExpired, setKey, setLastModified, setProperty, setRenderer, setSessionAware`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PanelMenuIconBasic

          public PanelMenuIconBasic()

  - ### Method Detail

    - #### getDimensions

          public java.awt.Dimension getDimensions(javax.faces.context.FacesContext facesContext,
                                         java.lang.Object data)

      Overrides:
        `getDimensions` in class `org.ajax4jsf.resource.Java2Dresource`

    - #### getDimensions

          protected java.awt.Dimension getDimensions(org.ajax4jsf.resource.ResourceContext resourceContext)

      Overrides:
        `getDimensions` in class `org.ajax4jsf.resource.Java2Dresource`

    - #### paint

          protected void paint(org.ajax4jsf.resource.ResourceContext context,
                   java.awt.Graphics2D graphics2D)

      Overrides:
        `paint` in class `org.ajax4jsf.resource.Java2Dresource`

    - #### paintImage

          protected abstract void paintImage(org.ajax4jsf.resource.ResourceContext context,
                        java.awt.Graphics2D g2d,
                        java.awt.Color color)

    - #### calculateDimensions

          protected java.awt.Dimension calculateDimensions(java.lang.Object data)

    - #### deserializeData

          protected java.lang.Object deserializeData(byte[] objectArray)

      Overrides:
        `deserializeData` in class `org.ajax4jsf.resource.InternetResourceBase`

    - #### getDataToStore

          protected java.lang.Object getDataToStore(javax.faces.context.FacesContext context,
                                        java.lang.Object data)

      Overrides:
        `getDataToStore` in class `org.ajax4jsf.resource.InternetResourceBase`
      Parameters:
        `data` - - pass icon color there

    - #### isCacheable

          public boolean isCacheable()

Copyright © 2014. All Rights Reserved.